View Issue Details

IDProjectCategoryView StatusLast Update
0002138PluginsMultiArc (old)public2012-07-31 14:45
ReporterpaulzaytsevAssigned To2useven10 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Platformx86OSallOS Versionall
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002138: Не работает Shift-F1 для смены архиватора
DescriptionВ диалоге добавления файлов к архиву заявлена возможность смены архиватора не только нажатием кнопки "Архиватор", но и сочетанием Shift-F1. В файле помощи к

В версии заявленное сочетание клавиш Shift-F1 3,0 не работает.
Решения:
а) вернуть как было до 3-й в версии;
б) убрать упоминание о Shift-F1 в arc???.hlf.

In "Adding files to archive" dialog was removed hotkey Shift-F1 for quickly archiver change.
On your's choice:
a) return this feature what have been presents up to 3-rd version;
b) remove reference for Shift-F1 from *.hlf files.
TagsNo tags attached.

Activities

paulzaytsev

2012-07-25 15:00

reporter   bugnote:0009434

Last edited: 2012-07-25 15:11

View 3 revisions

Сорри, в описании получилась каша какая-то. А кнопки "изменить" не вижу. Но суть, надеюсь, понятна:
В файле помощи указано, что сменить архиватор можно нажатием кнопки "Архиватор" или Shift-F1. Так вот именно Shift-F1 не срабатывает.

paulzaytsev

2012-07-25 15:11

reporter   bugnote:0009435

Пробовал подбросить этот же плагин к far 2.0.1807 - хоткей действует. Следовательно, проблема не в плагине а в ядре Far.

vskirdin

2012-07-25 16:01

administrator   bugnote:0009436

а плагин точно MultiArc? или все же arclite?

2useven10

2012-07-25 17:17

developer   bugnote:0009439

вот с таким патчем работает:

Index: PluginA.cpp
===================================================================
--- PluginA.cpp (revision 8283)
+++ PluginA.cpp (working copy)
@@ -3141,6 +3141,9 @@
                case oldfar::DM_ALLKEYMODE:
                case oldfar::DN_ACTIVATEAPP:
                        break;
+ case oldfar::DN_BTNCLICK:
+ Msg = DN_BTNCLICK;
+ break;
                default:
                        break;
        }

2useven10

2012-07-25 18:01

developer   bugnote:0009440

2779

paulzaytsev

2012-07-31 13:52

reporter   bugnote:0009446

2279 - работает. Спасибо!

Issue History

Date Modified Username Field Change
2012-07-25 14:51 paulzaytsev New Issue
2012-07-25 15:00 paulzaytsev Note Added: 0009434
2012-07-25 15:00 paulzaytsev Note Edited: 0009434 View Revisions
2012-07-25 15:11 paulzaytsev Note Edited: 0009434 View Revisions
2012-07-25 15:11 paulzaytsev Note Added: 0009435
2012-07-25 16:01 vskirdin Note Added: 0009436
2012-07-25 17:17 2useven10 Note Added: 0009439
2012-07-25 18:01 2useven10 Note Added: 0009440
2012-07-25 18:01 2useven10 Assigned To => 2useven10
2012-07-25 18:01 2useven10 Status new => feedback
2012-07-31 13:52 paulzaytsev Note Added: 0009446
2012-07-31 13:52 paulzaytsev Status feedback => assigned
2012-07-31 13:52 paulzaytsev Status assigned => resolved
2012-07-31 14:45 2useven10 Status resolved => closed
2012-07-31 14:45 2useven10 Resolution open => fixed
2012-07-31 14:45 2useven10 Fixed in Version => 3.0
2013-05-21 00:38 alexy Category MultiArc => MultiArc (old)